using System;
using Server;

namespace Server.Items
{
	public class Tome : BaseBook
	{
		[Constructable]
		public Tome() : base( 0x1C11 )
		{
		}

		[Constructable]
		public Tome( int pageCount, bool writable ) : base( 0x1C11, pageCount, writable )
		{
		}

		[Constructable]
		public Tome( string title, string author, int pageCount, bool writable ) : base( 0x1C11, title, author, pageCount, writable )
		{
		}

		public Tome( bool writable ) : base( 0x1C11, writable )
		{
		}

		public Tome( Serial serial ) : base( serial )
		{
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int)0 ); // version
		}
	}
}